/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.functionsample.sample001;

import jp.terasoluna.fw.batch.openapi.JobContext;

/**
 * ジョブコンテキストクラス。<br>
 * 属性<code>exceptionPoint</code>で指定した回に
 * ビジネスロジック（<code>Sample001BLogic02</code>）で例外が発生する。<br>
 * <code>exceptionPoint</code>は起動パラメータより設定することができる。<br>
 */
public class Sample001JobContext02 extends JobContext {

    /**
     * シリアルバージョン
     */
    private static final long serialVersionUID = -2065011145417599753L;

    /**
     * 例外発生ポイント
     */
    private int exceptionPoint = 30;

    /**
     * 処理件数
     */
    private int count;
   
    @Override
    public String getPartitionKey() {
    return null;
    }

    @Override
    public void setParameter(String[] arg) {
    
    if(arg.length > 0){
        exceptionPoint = Integer.parseInt(arg[0]);
    }
    }

    /**
     * 例外発生ポイントを返却する。
     * @return 例外発生ポイント
     */
    public int getExceptionPoint() {
        return exceptionPoint;
    }

    /**
     * 例外発生ポイントを設定する。
     * @param exceptionPoint 例外発生ポイント
     */
    public void setExceptionPoint(int exceptionPoint) {
        this.exceptionPoint = exceptionPoint;
    }
    
    /**
     * 処理件数を返却する。
     * @return 処理件数
     */
    public int getCount() {
        return count;
    }
    
    /**
     * 処理件数をインクリメントする。
     */
    public void incrementCount(){
    count++;
    }

}

